Project

General

Profile

Evolution #5964

Faire fonctionner posttemplate/12-moodle sur 2.3 & 2.4

Added by Joël Cuissinat over 7 years ago. Updated almost 6 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
-
Category:
-
Target version:
Start date:
Due date:
% Done:

100%

Estimated time:
1.50 h
Spent time:
Distribution:
EOLE 2.4

Description

Soucis principaux : ParseDico/containers.conf + RunCmd

NB : certains "RunCmd" (mv, touch, chmod, ...) peuvent être supprimés en lançant la commande depuis le maître avec les chemins longs ($container_path_web).

12-moodle - Script post bi-compatible (9.01 KB) Joël Cuissinat, 09/09/2013 01:49 PM


Related issues

Related to eole-mysql - Anomalie #5633: La connexion locale n'est pas toujours vue comme telle en 2.4 Fermé
Related to eole-mysql - Evolution #5815: Mysql est déjà démarré à l'appel de "services(action='start')" Fermé 08/19/2013 08/23/2013
Related to moodle - Evolution #7213: Packager Moodle pour la 2.4 Fermé

History

#1 Updated by Joël Cuissinat over 7 years ago

Je joins une proposition de script corrigé avec :
  • appel à CreoleGet pour chacune des variables nécessaires si 2.4
  • utilisation de CreoleRun au lieu de RunCmd si 2.4 (la syntaxe est identique !)
Malgré tout, j'ai encore des soucis mais surtout avec Mysql...
  • il faudrait déplacer le script de posttemplate vers postservice
  • problème lié à localhost/127.0.0.1 ?
  • problème lié à la façon dont est géré le mot de passe moodle ?

#2 Updated by Joël Cuissinat over 7 years ago

#3 Updated by Joël Cuissinat over 7 years ago

  • Target version set to Envole 4.0 RC
  • Estimated time set to 1.50 h

#4 Updated by Arnaud FORNEROT about 6 years ago

  • Distribution changed from EOLE 2.3 to EOLE 2.4

#5 Updated by Arnaud FORNEROT almost 6 years ago

  • Status changed from Nouveau to Fermé
  • % Done changed from 0 to 100

passage du script en postservice réalisé

Also available in: Atom PDF